Subject: problem running c++ hello world
From: [email-masked] (Simon Blanchard)

31 Oct 1996 04:40:13 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (X11; I; IRIX64 6.2 IP19)
Original-To: [email-masked]
Original-Sender: [email-masked]

If I compile this program:

#include <stdlib.h>
#include <stdio.h>
#include <iostream.h>
 
int
main()
{
        printf("Hello World!\n");
        cout<<"Hello World!\n";
        exit(0);
}

like this:

bash$ g++ -ID:/cygnus/include/g++ hello.cpp

then run it:

bash$ ./a.out

I get:

sh.exe: ./a.out: Not owner

If I try to run it in a DOS type shell I get:

F:\src\c++\hello\a.out is not a valid Windows NT application.

If I comment out the cout c++ism. It works.

Any thoughts?

thanks very much

simonb
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".